Ice and GPLv3

jbrouaultjbrouault Jean Baptiste RouaultOrganization: diateamProject: none at the moment...Member
The world of licenses is quite obscure to me, but if I'm not wrong, it is not possible to release a project under GPLv3 and link against GPLv2 only libraries.

In the Ice license I can't see any sentence like "GPLv2 or later" or something like that so I guess it's GPLv2 only and can't be used with GPLv3 code ?

Comments

  • bernardbernard Jupiter, FLBernard NormierOrganization: ZeroC, Inc.Project: IceAdministrators, ZeroC Staff ZeroC Staff
    Hi Jean Baptiste,

    Your understanding is correct. GPL v2 and GPL v3 are not compatible:
    Frequently Asked Questions about the GNU Licenses - GNU Project - Free Software Foundation (FSF)

    As a result, if you want to release an Ice-based project under GPL, you need to use GPL v2. Please refer to the ICE_LICENSE file in your Ice distribution for additional information.

    Best regards,
    Bernard
  • jbrouaultjbrouault Jean Baptiste RouaultOrganization: diateamProject: none at the moment...Member
    Thanks for your answer, are there any plans to allow GPLv3 with Ice or not at all ?

    Regards,
    Jean-Baptiste
Sign In or Register to comment.